Bug 125751 - Crash: ntdll!RtlEnterCriticalSection
Summary: Crash: ntdll!RtlEnterCriticalSection
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Michael Stahl (CIB)
URL:
Whiteboard: target:6.4.0 target:6.3.0.1 target:6.2.6
Keywords: bibisected, bisected, wantBacktrace
Depends on:
Blocks: tdf#114306-regressions
  Show dependency treegraph
 
Reported: 2019-06-06 16:42 UTC by Telesto
Modified: 2019-06-28 11:35 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
BT without symbols (4.48 KB, text/plain)
2019-06-06 16:43 UTC, Telesto
Details
BT without symbols (4.50 KB, text/plain)
2019-06-06 16:43 UTC, Telesto
Details
Example file (53.23 KB, application/vnd.oasis.opendocument.text)
2019-06-06 16:45 UTC, Telesto
Details
Screencast (8.45 MB, video/mp4)
2019-06-20 07:27 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2019-06-06 16:42:40 UTC
Description:
Crash: ntdll!RtlEnterCriticalSection

Steps to Reproduce:
1. Open the attached file
2. CTRL+A & CTRL+C
3. CTRL+N
4. Enable multi-page view (zoom out for 3 pages in a row)
5. CTRL+V & touch nothing; and let pasting progress -> crash will occur around page 280

Actual Results:
Crash

Expected Results:
No crash


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 6.4.0.0.alpha0+ (x86)
Build ID: ac14e5613597e7361ce6995dacb1bb5bd55b6b00
CPU threads: 4; OS: Windows 6.3; UI render: default; VCL: win; 
TinderBox: Win-x86@42, Branch:master, Time: 2019-06-06_05:09:49
Locale: it-IT (nl_NL); UI-Language: en-US
Calc: threaded
Comment 1 Telesto 2019-06-06 16:43:00 UTC
Created attachment 151988 [details]
BT without symbols
Comment 2 Telesto 2019-06-06 16:43:45 UTC
Created attachment 151989 [details]
BT without symbols
Comment 3 Telesto 2019-06-06 16:45:15 UTC
Created attachment 151991 [details]
Example file
Comment 4 Telesto 2019-06-19 14:53:04 UTC
Nice to know if this is reproducible or not :-)
Comment 5 Dieter Praas 2019-06-20 06:25:23 UTC
No repro with

Version: 6.4.0.0.alpha0+ (x64)
Build ID: b170256fb6ebaf774b02b89835b19d9f3a1afb89
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
TinderBox: Win-x86_64@42, Branch:master, Time: 2019-06-07_03:30:35
Locale: de-DE (de_DE); UI-Language: en-US
Calc: threaded
Comment 6 Telesto 2019-06-20 07:27:37 UTC
Created attachment 152304 [details]
Screencast
Comment 7 Dieter Praas 2019-06-20 11:40:27 UTC
Steps from screencast

1. Open the attached file in multi-page view (zoom out for 3 pages in a row)
2. CTRL+A & CTRL+X
3. CTRL+N
4. Enable multi-page view (zoom out for 3 pages in a row)
5. CTRL+V & touch nothing; and let pasting progress -> crash will occur around page 280

Still nor crash also with these steps.
Comment 8 Xisco Faulí 2019-06-20 11:55:59 UTC
Reproduced in

Version: 6.4.0.0.alpha0+
Build ID: af37bb23f63b209af1193e20177c3aacbd777543
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

and

Version: 6.1.0.0.alpha1+
Build ID: 3a801799536e6870f2fb111b1cc00b9575a35a39
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group
Comment 9 Telesto 2019-06-20 13:07:33 UTC
No crash but horrible slow with
Version: 5.4.0.3
Build ID: 7556cbc6811c9d992f4064ab9287069087d7f62c
CPU threads: 4; OS: Windows 6.2; UI render: default; 
Locale: nl-NL (nl_NL); Calc: CL

and with 4.4.7.2
Comment 10 Xisco Faulí 2019-06-25 11:42:38 UTC
it started to crash after

https://cgit.freedesktop.org/libreoffice/core/commit/?id=18765b9fa739337d2d891513f6e2fb7c3ce23b50

author	Manfred Blume <manfred.blume@cib.de>	2017-12-08 15:01:51 +0100
committer	Thorsten Behrens <Thorsten.Behrens@CIB.de>	2017-12-22 00:20:40 +0100
commit	18765b9fa739337d2d891513f6e2fb7c3ce23b50 (patch)
tree	61acc1c9001d529d0df88affe48310187784cc99
parent	baaf6c12c8e9f785dc91e5d3db8b2f5072d4e3f5 (diff)
tdf#114306 fix unexpected page break in row-spanned table

Before that, only 123 pages were pasted...

@Michael Stahl, I thought you might be interested in this issue...
Comment 11 Commit Notification 2019-06-27 08:44:29 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/f8e4845fec50affc20272600a4baf87554b055fb%5E%21

tdf#125751 sw: tweak assert in SwFrame::PrepareMake() a bit more

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2019-06-27 08:44:41 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/49f971e9d0a88c9f23262445a17c9b5cecdb9167%5E%21

tdf#125751 sw: fix crash on formatting in SwLayoutFrame::PaintSwFrame()

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 13 Commit Notification 2019-06-27 08:44:53 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/7a05458d39da2f4755cb6e190dce338198655137%5E%21

tdf#125751 sw: don't start recursive layout in SwTextFrame::EmptyHeight()

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 14 Michael Stahl (CIB) 2019-06-27 08:50:35 UTC
i hope its fixed on master but can't be entirely sure... in a --enable-dbgutil build with ASAN the layout finishes after ~100 minutes without crashing *once* but i don't have the patience to try again :)
Comment 15 Commit Notification 2019-06-27 11:03:39 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/1901a7312e6cb026facc2036b2a49a606d936bea%5E%21

tdf#125751 sw: tweak assert in SwFrame::PrepareMake() a bit more

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 16 Commit Notification 2019-06-27 11:29:28 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/91f86a51ed6f01e9c75999e8c1a42eaa47ff3ccb%5E%21

tdf#125751 sw: don't start recursive layout in SwTextFrame::EmptyHeight()

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 17 Xisco Faulí 2019-06-27 11:30:57 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: a294457eb95e60028539b6783abac78b56561fe2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Michael Stahl, thanks for fixing this issue!
Comment 18 Telesto 2019-06-27 11:40:12 UTC
(In reply to Michael Stahl (CIB) from comment #14)
> i hope its fixed on master but can't be entirely sure... in a
> --enable-dbgutil build with ASAN the layout finishes after ~100 minutes
> without crashing *once* but i don't have the patience to try again :)

I will fiddle around a bit in a fresh master to check if it's OK.. 
Anyway thanks for all those table fixes :-). The stability & way tables are split has improved quite a lot!
Comment 19 Commit Notification 2019-06-27 13:54:07 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/257bac6e9ad57aa787ab051ae800ec9cf55425ed%5E%21

tdf#125751 sw: fix crash on formatting in SwLayoutFrame::PaintSwFrame()

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 20 Commit Notification 2019-06-27 13:54:15 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/865fb8eea3cda9c3ddcadc1806a4d4651df08592%5E%21

tdf#125751 sw: don't start recursive layout in SwTextFrame::EmptyHeight()

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 21 Commit Notification 2019-06-28 11:35:19 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/8d0777d455e4a861d5b203d1e36d743d1432c1bd%5E%21

tdf#125751 sw: tweak assert in SwFrame::PrepareMake() a bit more

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 22 Commit Notification 2019-06-28 11:35:27 UTC
Michael Stahl committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/4c993cd7c762b1fca9a674cd2bab7c0e95c78e74%5E%21

tdf#125751 sw: fix crash on formatting in SwLayoutFrame::PaintSwFrame()

It will be available in 6.2.6.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.